Mailmus

Members

GET
/projects/{projectId}/b2b/organizations/{id}/members
AuthorizationBearer <token>

In: header

Path Parameters

id*string
projectId*string

Response Body

application/json

curl -X GET "https://example.com/projects/string/b2b/organizations/string/members"
[  {    "id": "string",    "organizationId": "string",    "customerId": "string",    "role": "OWNER",    "roles": [      "org:admin"    ],    "source": "API",    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z",    "customer": {      "id": "string",      "email": "string",      "externalId": "user_8291",      "identitySource": "MAILMUS_AUTH"    }  }]
POST
/projects/{projectId}/b2b/organizations/{id}/members
AuthorizationBearer <token>

In: header

Path Parameters

id*string
projectId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/projects/string/b2b/organizations/string/members" \  -H "Content-Type: application/json" \  -d '{}'
{  "id": "string",  "organizationId": "string",  "customerId": "string",  "role": "OWNER",  "roles": [    "org:admin"  ],  "source": "API",  "createdAt": "2019-08-24T14:15:22Z",  "updatedAt": "2019-08-24T14:15:22Z",  "customer": {    "id": "string",    "email": "string",    "externalId": "user_8291",    "identitySource": "MAILMUS_AUTH"  }}
PATCH
/projects/{projectId}/b2b/organizations/{id}/members/{membershipId}
AuthorizationBearer <token>

In: header

Path Parameters

id*string
membershipId*string
projectId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X PATCH "https://example.com/projects/string/b2b/organizations/string/members/string" \  -H "Content-Type: application/json" \  -d '{}'
{  "id": "string",  "organizationId": "string",  "customerId": "string",  "role": "OWNER",  "roles": [    "org:admin"  ],  "source": "API",  "createdAt": "2019-08-24T14:15:22Z",  "updatedAt": "2019-08-24T14:15:22Z",  "customer": {    "id": "string",    "email": "string",    "externalId": "user_8291",    "identitySource": "MAILMUS_AUTH"  }}
DELETE
/projects/{projectId}/b2b/organizations/{id}/members/{membershipId}
AuthorizationBearer <token>

In: header

Path Parameters

id*string
membershipId*string
projectId*string

Response Body

application/json

curl -X DELETE "https://example.com/projects/string/b2b/organizations/string/members/string"
{  "removed": true}